petsc-3.4.2 2013-07-02

# KSPMonitorAMSCreate

create an AMS monitor context

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorAMSCreate(KSP ksp,const char *amscommname,void **ctx)

Collective

### Input Arguments

| ksp | - KSP to monitor
| amscommname | - name of AMS communicator to use, if NULL uses default "PETSc" communicator

### Output Arguments

ctx -context for monitor

### See Also

KSPMonitorAMS(), KSPMonitorAMSDestroy()

Level:developer
Location:src/ksp/ksp/interface/ams/kspams.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages